<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE plist PUBLIC "-//Apple//DTD PLIST 1.0//EN" "http://www.apple.com/DTDs/PropertyList-1.0.dtd">
<plist version="1.0">
<dict>
	<key>ACPI</key>
	<dict>
		<key>Add</key>
		<array>
			<dict>
				<key>Comment</key>
				<string>SSDT-EC-USBX-DESKTOP.aml</string>
				<key>Enabled</key>
				<true/>
				<key>Path</key>
				<string>SSDT-EC-USBX-DESKTOP.aml</string>
			</dict>
		</array>
		<key>Delete</key>
		<array>
			<dict>
				<key>All</key>
				<false/>
				<key>Comment</key>
				<string>Delete CpuPm</string>
				<key>Enabled</key>
				<false/>
				<key>OemTableId</key>
				<data>Q3B1UG0AAAA=</data>
				<key>TableLength</key>
				<integer>0</integer>
				<key>TableSignature</key>
				<data>U1NEVA==</data>
			</dict>
			<dict>
				<key>All</key>
				<false/>
				<key>Comment</key>
				<string>Delete Cpu0Ist</string>
				<key>Enabled</key>
				<false/>
				<key>OemTableId</key>
				<data>Q3B1MElzdAA=</data>
				<key>TableLength</key>
				<integer>0</integer>
				<key>TableSignature</key>
				<data>U1NEVA==</data>
			</dict>
		</array>
		<key>Patch</key>
		<array>
			<dict>
				<key>Comment</key>
				<string>_Q11 to XQ11</string>
				<key>Count</key>
				<integer>1</integer>
				<key>Enabled</key>
				<false/>
				<key>Find</key>
				<data>X1ExMQ==</data>
				<key>Limit</key>
				<integer>0</integer>
				<key>Mask</key>
				<data></data>
				<key>OemTableId</key>
				<data></data>
				<key>Replace</key>
				<data>WFExMQ==</data>
				<key>ReplaceMask</key>
				<data></data>
				<key>Skip</key>
				<integer>0</integer>
				<key>TableLength</key>
				<integer>0</integer>
				<key>TableSignature</key>
				<data></data>
			</dict>
			<dict>
				<key>Comment</key>
				<string>_Q12 to XQ12</string>
				<key>Count</key>
				<integer>1</integer>
				<key>Enabled</key>
				<false/>
				<key>Find</key>
				<data>X1ExMg==</data>
				<key>Limit</key>
				<integer>0</integer>
				<key>Mask</key>
				<data></data>
				<key>OemTableId</key>
				<data></data>
				<key>Replace</key>
				<data>WFExMg==</data>
				<key>ReplaceMask</key>
				<data></data>
				<key>Skip</key>
				<integer>0</integer>
				<key>TableLength</key>
				<integer>0</integer>
				<key>TableSignature</key>
				<data></data>
			</dict>
		</array>
		<key>Quirks</key>
		<dict>
			<key>FadtEnableReset</key>
			<false/>
			<key>NormalizeHeaders</key>
			<false/>
			<key>RebaseRegions</key>
			<false/>
			<key>ResetHwSig</key>
			<false/>
			<key>ResetLogoStatus</key>
			<false/>
		</dict>
	</dict>
	<key>Booter</key>
	<dict>
		<key>MmioWhitelist</key>
		<array>
			<dict>
				<key>Address</key>
				<integer>4275159040</integer>
				<key>Comment</key>
				<string>Haswell: SB_RCBA is a 0x4 page memory region, containing SPI_BASE at 0x3800 (SPI_BASE_ADDRESS)</string>
				<key>Enabled</key>
				<false/>
			</dict>
			<dict>
				<key>Address</key>
				<integer>4278190080</integer>
				<key>Comment</key>
				<string>Generic: PCI root is a 0x1000 page memory region used by some types of firmware</string>
				<key>Enabled</key>
				<false/>
			</dict>
		</array>
		<key>Quirks</key>
		<dict>
			<key>AvoidRuntimeDefrag</key>
			<true/>
			<key>DevirtualiseMmio</key>
			<false/>
			<key>DisableSingleUser</key>
			<false/>
			<key>DisableVariableWrite</key>
			<false/>
			<key>DiscardHibernateMap</key>
			<false/>
			<key>EnableSafeModeSlide</key>
			<true/>
			<key>EnableWriteUnprotector</key>
			<false/>
			<key>ForceExitBootServices</key>
			<false/>
			<key>ProtectMemoryRegions</key>
			<false/>
			<key>ProtectSecureBoot</key>
			<false/>
			<key>ProtectUefiServices</key>
			<false/>
			<key>ProvideCustomSlide</key>
			<true/>
			<key>ProvideMaxSlide</key>
			<integer>0</integer>
			<key>RebuildAppleMemoryMap</key>
			<true/>
			<key>SetupVirtualMap</key>
			<true/>
			<key>SignalAppleOS</key>
			<false/>
			<key>SyncRuntimePermissions</key>
			<true/>
		</dict>
	</dict>
	<key>DeviceProperties</key>
	<dict>
		<key>Add</key>
		<dict>
			<key>PciRoot(0x0)/Pci(0x1b,0x0)</key>
			<dict>
				<key>layout-id</key>
				<data>AQAAAA==</data>
			</dict>
		</dict>
		<key>Delete</key>
		<dict/>
	</dict>
	<key>Kernel</key>
	<dict>
		<key>Add</key>
		<array>
			<dict>
				<key>BundlePath</key>
				<string>Lilu.kext</string>
				<key>Comment</key>
				<string></string>
				<key>Enabled</key>
				<true/>
				<key>ExecutablePath</key>
				<string>Contents/MacOS/Lilu</string>
				<key>Arch</key>
				<string>Any</string>
				<key>MaxKernel</key>
				<string></string>
				<key>MinKernel</key>
				<string></string>
				<key>PlistPath</key>
				<string>Contents/Info.plist</string>
			</dict>
			<dict>
				<key>BundlePath</key>
				<string>VirtualSMC.kext</string>
				<key>Comment</key>
				<string></string>
				<key>Enabled</key>
				<true/>
				<key>ExecutablePath</key>
				<string>Contents/MacOS/VirtualSMC</string>
				<key>Arch</key>
				<string>Any</string>
				<key>MaxKernel</key>
				<string></string>
				<key>MinKernel</key>
				<string></string>
				<key>PlistPath</key>
				<string>Contents/Info.plist</string>
			</dict>
			<dict>
				<key>BundlePath</key>
				<string>AirportItlwm.kext</string>
				<key>Comment</key>
				<string></string>
				<key>Enabled</key>
				<true/>
				<key>ExecutablePath</key>
				<string>Contents/MacOS/AirportItlwm</string>
				<key>Arch</key>
				<string>Any</string>
				<key>MaxKernel</key>
				<string></string>
				<key>MinKernel</key>
				<string></string>
				<key>PlistPath</key>
				<string>Contents/Info.plist</string>
			</dict>
			<dict>
				<key>BundlePath</key>
				<string>IntelBluetoothFirmware.kext</string>
				<key>Comment</key>
				<string></string>
				<key>Enabled</key>
				<true/>
				<key>ExecutablePath</key>
				<string>Contents/MacOS/IntelBluetoothFirmware</string>
				<key>Arch</key>
				<string>Any</string>
				<key>MaxKernel</key>
				<string></string>
				<key>MinKernel</key>
				<string></string>
				<key>PlistPath</key>
				<string>Contents/Info.plist</string>
			</dict>
			<dict>
				<key>BundlePath</key>
				<string>IntelBluetoothInjector.kext</string>
				<key>Comment</key>
				<string></string>
				<key>Enabled</key>
				<true/>
				<key>ExecutablePath</key>
				<string></string>
				<key>Arch</key>
				<string>Any</string>
				<key>MaxKernel</key>
				<string></string>
				<key>MinKernel</key>
				<string></string>
				<key>PlistPath</key>
				<string>Contents/Info.plist</string>
			</dict>
			<dict>
				<key>BundlePath</key>
				<string>RealtekRTL8111.kext</string>
				<key>Comment</key>
				<string></string>
				<key>Enabled</key>
				<true/>
				<key>ExecutablePath</key>
				<string>Contents/MacOS/RealtekRTL8111</string>
				<key>Arch</key>
				<string>Any</string>
				<key>MaxKernel</key>
				<string></string>
				<key>MinKernel</key>
				<string></string>
				<key>PlistPath</key>
				<string>Contents/Info.plist</string>
			</dict>
			<dict>
				<key>BundlePath</key>
				<string>WhateverGreen.kext</string>
				<key>Comment</key>
				<string></string>
				<key>Enabled</key>
				<true/>
				<key>ExecutablePath</key>
				<string>Contents/MacOS/WhateverGreen</string>
				<key>Arch</key>
				<string>Any</string>
				<key>MaxKernel</key>
				<string></string>
				<key>MinKernel</key>
				<string></string>
				<key>PlistPath</key>
				<string>Contents/Info.plist</string>
			</dict>
			<dict>
				<key>BundlePath</key>
				<string>itlwm.kext</string>
				<key>Comment</key>
				<string></string>
				<key>Enabled</key>
				<true/>
				<key>ExecutablePath</key>
				<string>Contents/MacOS/itlwm</string>
				<key>Arch</key>
				<string>Any</string>
				<key>MaxKernel</key>
				<string></string>
				<key>MinKernel</key>
				<string></string>
				<key>PlistPath</key>
				<string>Contents/Info.plist</string>
			</dict>
			<dict>
				<key>Comment</key>
				<string></string>
				<key>MaxKernel</key>
				<string></string>
				<key>PlistPath</key>
				<string>Contents/Info.plist</string>
				<key>Enabled</key>
				<true/>
				<key>MinKernel</key>
				<string></string>
				<key>ExecutablePath</key>
				<string>Contents/MacOS/AMDRyzenCPUPowerManagement</string>
				<key>Arch</key>
				<string>Any</string>
				<key>BundlePath</key>
				<string>AMDRyzenCPUPowerManagement.kext</string>
			</dict>
			<dict>
				<key>Comment</key>
				<string></string>
				<key>MaxKernel</key>
				<string></string>
				<key>PlistPath</key>
				<string>Contents/Info.plist</string>
				<key>Enabled</key>
				<true/>
				<key>MinKernel</key>
				<string></string>
				<key>ExecutablePath</key>
				<string>Contents/MacOS/SMCAMDProcessor</string>
				<key>Arch</key>
				<string>Any</string>
				<key>BundlePath</key>
				<string>SMCAMDProcessor.kext</string>
			</dict>
			<dict>
				<key>Comment</key>
				<string></string>
				<key>MaxKernel</key>
				<string></string>
				<key>PlistPath</key>
				<string>Contents/Info.plist</string>
				<key>Enabled</key>
				<true/>
				<key>MinKernel</key>
				<string></string>
				<key>ExecutablePath</key>
				<string>Contents/MacOS/AppleBacklightFixup</string>
				<key>Arch</key>
				<string>Any</string>
				<key>BundlePath</key>
				<string>AppleBacklightFixup.kext</string>
			</dict>
			<dict>
				<key>Comment</key>
				<string></string>
				<key>MaxKernel</key>
				<string></string>
				<key>PlistPath</key>
				<string>Contents/Info.plist</string>
				<key>Enabled</key>
				<true/>
				<key>MinKernel</key>
				<string></string>
				<key>ExecutablePath</key>
				<string>Contents/MacOS/AppleALC</string>
				<key>Arch</key>
				<string>Any</string>
				<key>BundlePath</key>
				<string>AppleALC.kext</string>
			</dict>
		</array>
		<key>Block</key>
		<array>
			<dict>
				<key>Arch</key>
				<string>Any</string>
				<key>Comment</key>
				<string></string>
				<key>Enabled</key>
				<false/>
				<key>Identifier</key>
				<string>com.apple.driver.AppleTyMCEDriver</string>
				<key>MaxKernel</key>
				<string></string>
				<key>MinKernel</key>
				<string></string>
			</dict>
		</array>
		<key>Emulate</key>
		<dict>
			<key>DummyPowerManagement</key>
			<true/>
			<key>Cpuid1Data</key>
			<data></data>
			<key>Cpuid1Mask</key>
			<data></data>
			<key>MaxKernel</key>
			<string></string>
			<key>MinKernel</key>
			<string></string>
		</dict>
		<key>Force</key>
		<array>
			<dict>
				<key>Arch</key>
				<string>Any</string>
				<key>BundlePath</key>
				<string>System/Library/Extensions/IONetworkingFamily.kext</string>
				<key>Comment</key>
				<string></string>
				<key>Enabled</key>
				<false/>
				<key>Identifier</key>
				<string>com.apple.iokit.IONetworkingFamily</string>
				<key>ExecutablePath</key>
				<string>Contents/MacOS/IONetworkingFamily</string>
				<key>MaxKernel</key>
				<string>13.99.99</string>
				<key>MinKernel</key>
				<string></string>
				<key>PlistPath</key>
				<string>Contents/Info.plist</string>
			</dict>
		</array>
		<key>Quirks</key>
		<dict>
			<key>AppleCpuPmCfgLock</key>
			<false/>
			<key>AppleXcpmCfgLock</key>
			<false/>
			<key>AppleXcpmExtraMsrs</key>
			<false/>
			<key>AppleXcpmForceBoost</key>
			<false/>
			<key>CustomSMBIOSGuid</key>
			<false/>
			<key>DisableIoMapper</key>
			<false/>
			<key>DisableLinkeditJettison</key>
			<true/>
			<key>DisableRtcChecksum</key>
			<false/>
			<key>ExtendBTFeatureFlags</key>
			<false/>
			<key>ExternalDiskIcons</key>
			<false/>
			<key>ForceSecureBootScheme</key>
			<false/>
			<key>IncreasePciBarSize</key>
			<false/>
			<key>LapicKernelPanic</key>
			<false/>
			<key>LegacyCommpage</key>
			<false/>
			<key>PanicNoKextDump</key>
			<true/>
			<key>PowerTimeoutKernelPanic</key>
			<true/>
			<key>ThirdPartyDrives</key>
			<false/>
			<key>XhciPortLimit</key>
			<true/>
		</dict>
		<key>Scheme</key>
		<dict>
			<key>FuzzyMatch</key>
			<true/>
			<key>KernelArch</key>
			<string>x86_64</string>
			<key>KernelCache</key>
			<string>Auto</string>
		</dict>
		<key>Patch</key>
		<array>
			<dict>
				<key>Arch</key>
				<string>x86_64</string>
				<key>Base</key>
				<string>_i386_switch_lbrs</string>
				<key>Comment</key>
				<string>algrey - Disable _i386_switch_lbrs</string>
				<key>Count</key>
				<integer>0</integer>
				<key>Enabled</key>
				<true/>
				<key>Find</key>
				<data></data>
				<key>Identifier</key>
				<string>kernel</string>
				<key>Limit</key>
				<integer>0</integer>
				<key>Mask</key>
				<data></data>
				<key>MaxKernel</key>
				<string>20.99.99</string>
				<key>MinKernel</key>
				<string>20.1.0</string>
				<key>Replace</key>
				<data>ww==</data>
				<key>ReplaceMask</key>
				<data></data>
				<key>Skip</key>
				<integer>0</integer>
			</dict>
			<dict>
				<key>Arch</key>
				<string>x86_64</string>
				<key>Base</key>
				<string>_i386_lbr_init</string>
				<key>Comment</key>
				<string>algrey - Disable _i386_lbr_init</string>
				<key>Count</key>
				<integer>0</integer>
				<key>Enabled</key>
				<true/>
				<key>Find</key>
				<data></data>
				<key>Identifier</key>
				<string>kernel</string>
				<key>Limit</key>
				<integer>0</integer>
				<key>Mask</key>
				<data></data>
				<key>MaxKernel</key>
				<string>20.99.99</string>
				<key>MinKernel</key>
				<string>20.1.0</string>
				<key>Replace</key>
				<data>ww==</data>
				<key>ReplaceMask</key>
				<data></data>
				<key>Skip</key>
				<integer>0</integer>
			</dict>
			<dict>
				<key>Arch</key>
				<string>x86_64</string>
				<key>Base</key>
				<string></string>
				<key>Comment</key>
				<string>algrey - _i386_init_slave - Remove wrmsr 0x1c8</string>
				<key>Count</key>
				<integer>0</integer>
				<key>Enabled</key>
				<true/>
				<key>Find</key>
				<data>uAEAAAC5yAEAADHSDzA=</data>
				<key>Identifier</key>
				<string>kernel</string>
				<key>Limit</key>
				<integer>0</integer>
				<key>Mask</key>
				<data></data>
				<key>MaxKernel</key>
				<string>20.99.99</string>
				<key>MinKernel</key>
				<string>20.1.0</string>
				<key>Replace</key>
				<data>Zg8fhAAAAAAADx9EAAA=</data>
				<key>ReplaceMask</key>
				<data></data>
				<key>Skip</key>
				<integer>0</integer>
			</dict>
			<dict>
				<key>Arch</key>
				<string>x86_64</string>
				<key>Base</key>
				<string>_i386_lbr_native_state_to_mach_thread_state</string>
				<key>Comment</key>
				<string>algrey - Disable _i386_lbr_native_state_to_mach_thread_state</string>
				<key>Count</key>
				<integer>0</integer>
				<key>Enabled</key>
				<true/>
				<key>Find</key>
				<data></data>
				<key>Identifier</key>
				<string>kernel</string>
				<key>Limit</key>
				<integer>0</integer>
				<key>Mask</key>
				<data></data>
				<key>MaxKernel</key>
				<string>20.99.99</string>
				<key>MinKernel</key>
				<string>20.1.0</string>
				<key>Replace</key>
				<data>ww==</data>
				<key>ReplaceMask</key>
				<data></data>
				<key>Skip</key>
				<integer>0</integer>
			</dict>
			<dict>
				<key>Base</key>
				<string></string>
				<key>Comment</key>
				<string>algrey - commpage_populate -remove rdmsr</string>
				<key>Count</key>
				<integer>1</integer>
				<key>Enabled</key>
				<true/>
				<key>Find</key>
				<data>uaABAAAPMg==</data>
				<key>Identifier</key>
				<string>kernel</string>
				<key>Limit</key>
				<integer>0</integer>
				<key>Mask</key>
				<data></data>
				<key>MaxKernel</key>
				<string>20.99.99</string>
				<key>MinKernel</key>
				<string>17.0.0</string>
				<key>Replace</key>
				<data>Dx+AAAAAAA==</data>
				<key>ReplaceMask</key>
				<data></data>
				<key>Skip</key>
				<integer>0</integer>
			</dict>
			<dict>
				<key>Base</key>
				<string>_cpu_topology_sort</string>
				<key>Comment</key>
				<string>algrey - cpu_topology_sort -disable _x86_validate_topology</string>
				<key>Count</key>
				<integer>1</integer>
				<key>Enabled</key>
				<true/>
				<key>Find</key>
				<data>6AAA//8=</data>
				<key>Identifier</key>
				<string>kernel</string>
				<key>Limit</key>
				<integer>0</integer>
				<key>Mask</key>
				<data>/wAA//8=</data>
				<key>MaxKernel</key>
				<string>20.99.99</string>
				<key>MinKernel</key>
				<string>17.0.0</string>
				<key>Replace</key>
				<data>Dx9EAAA=</data>
				<key>ReplaceMask</key>
				<data></data>
				<key>Skip</key>
				<integer>0</integer>
			</dict>
			<dict>
				<key>Base</key>
				<string></string>
				<key>Comment</key>
				<string>algrey - cpuid_set_cache_info - cpuid 0x8000001D instead 0 - 10.15/10.16</string>
				<key>Count</key>
				<integer>1</integer>
				<key>Enabled</key>
				<true/>
				<key>Find</key>
				<data>McAx2zHJMdIPokGJxgAAAAAAAAB0</data>
				<key>Identifier</key>
				<string>kernel</string>
				<key>Limit</key>
				<integer>0</integer>
				<key>Mask</key>
				<data>/////////////////wAAAAAA////</data>
				<key>MaxKernel</key>
				<string>20.99.99</string>
				<key>MinKernel</key>
				<string>19.0.0</string>
				<key>Replace</key>
				<data>uB0AAIAx2zHJMdIPokGJxg8fQADr</data>
				<key>ReplaceMask</key>
				<data></data>
				<key>Skip</key>
				<integer>0</integer>
			</dict>
			<dict>
				<key>Base</key>
				<string></string>
				<key>Comment</key>
				<string>algrey - cpuid_set_cache_info - cpuid 0x8000001D instead 0 - 10.13/10.14</string>
				<key>Count</key>
				<integer>1</integer>
				<key>Enabled</key>
				<true/>
				<key>Find</key>
				<data>McAx2zHJMdIPokGJxkGJ0QAAAAAAAAA=</data>
				<key>Identifier</key>
				<string>kernel</string>
				<key>Limit</key>
				<integer>0</integer>
				<key>Mask</key>
				<data>/////////////////////wAAAAAA//8=</data>
				<key>MaxKernel</key>
				<string>18.99.99</string>
				<key>MinKernel</key>
				<string>17.0.0</string>
				<key>Replace</key>
				<data>uB0AAIAx2zHJMdIPokGJxkGJ0escZpA=</data>
				<key>ReplaceMask</key>
				<data></data>
				<key>Skip</key>
				<integer>0</integer>
			</dict>
			<dict>
				<key>Base</key>
				<string></string>
				<key>Comment</key>
				<string>algrey - cpuid_set_cache_info - cpuid 0x8000001D instead 4</string>
				<key>Count</key>
				<integer>1</integer>
				<key>Enabled</key>
				<true/>
				<key>Find</key>
				<data>uAQAAABEifFEiQ==</data>
				<key>Identifier</key>
				<string>kernel</string>
				<key>Limit</key>
				<integer>0</integer>
				<key>Mask</key>
				<data></data>
				<key>MaxKernel</key>
				<string>20.99.99</string>
				<key>MinKernel</key>
				<string>17.0.0</string>
				<key>Replace</key>
				<data>uB0AAIBEifFEiQ==</data>
				<key>ReplaceMask</key>
				<data></data>
				<key>Skip</key>
				<integer>0</integer>
			</dict>
			<dict>
				<key>Base</key>
				<string></string>
				<key>Comment</key>
				<string>algrey - cpuid_set_cache_info - don't set cpuid_cores_per_package</string>
				<key>Count</key>
				<integer>1</integer>
				<key>Enabled</key>
				<true/>
				<key>Find</key>
				<data>weAa/8A=</data>
				<key>Identifier</key>
				<string>kernel</string>
				<key>Limit</key>
				<integer>0</integer>
				<key>Mask</key>
				<data>//D///A=</data>
				<key>MaxKernel</key>
				<string>20.99.99</string>
				<key>MinKernel</key>
				<string>17.0.0</string>
				<key>Replace</key>
				<data>Dx8A6wY=</data>
				<key>ReplaceMask</key>
				<data></data>
				<key>Skip</key>
				<integer>0</integer>
			</dict>
			<dict>
				<key>Base</key>
				<string></string>
				<key>Comment</key>
				<string>NoOne - skip cpuid_cores_per_package test - 10.15/10.16</string>
				<key>Count</key>
				<integer>0</integer>
				<key>Enabled</key>
				<true/>
				<key>Find</key>
				<data>gz0AAAAAAA8AAAAAAIsAvA==</data>
				<key>Identifier</key>
				<string>kernel</string>
				<key>Limit</key>
				<integer>0</integer>
				<key>Mask</key>
				<data>//8AAAD///8AAAAA//8A/w==</data>
				<key>MaxKernel</key>
				<string>20.99.99</string>
				<key>MinKernel</key>
				<string>19.0.0</string>
				<key>Replace</key>
				<data>AAAAAAAAAQAAAAAAAAAAAA==</data>
				<key>ReplaceMask</key>
				<data>AAAAAAAADwAAAAAAAAAAAA==</data>
				<key>Skip</key>
				<integer>0</integer>
			</dict>
			<dict>
				<key>Base</key>
				<string></string>
				<key>Comment</key>
				<string>algrey - skip cpuid_cores_per_package test - 10.13/10.14</string>
				<key>Count</key>
				<integer>0</integer>
				<key>Enabled</key>
				<true/>
				<key>Find</key>
				<data>gz0AAAAAAHQAi128</data>
				<key>Identifier</key>
				<string>kernel</string>
				<key>Limit</key>
				<integer>0</integer>
				<key>Mask</key>
				<data>//8AAAD///8A////</data>
				<key>MaxKernel</key>
				<string>18.99.99</string>
				<key>MinKernel</key>
				<string>17.0.0</string>
				<key>Replace</key>
				<data>AAAAAAAAAQAAAAAA</data>
				<key>ReplaceMask</key>
				<data>AAAAAAAADwAAAAAA</data>
				<key>Skip</key>
				<integer>0</integer>
			</dict>
			<dict>
				<key>Base</key>
				<string></string>
				<key>Comment</key>
				<string>algrey - cpuid_set_generic_info - remove wrmsr</string>
				<key>Count</key>
				<integer>1</integer>
				<key>Enabled</key>
				<true/>
				<key>Find</key>
				<data>uYsAAAAxwDHSDzA=</data>
				<key>Identifier</key>
				<string>kernel</string>
				<key>Limit</key>
				<integer>0</integer>
				<key>Mask</key>
				<data></data>
				<key>MaxKernel</key>
				<string>20.99.99</string>
				<key>MinKernel</key>
				<string>17.0.0</string>
				<key>Replace</key>
				<data>Zg8fhAAAAAAAZpA=</data>
				<key>ReplaceMask</key>
				<data></data>
				<key>Skip</key>
				<integer>0</integer>
			</dict>
			<dict>
				<key>Base</key>
				<string></string>
				<key>Comment</key>
				<string>algrey - cpuid_set_generic_info - set microcode=186</string>
				<key>Count</key>
				<integer>1</integer>
				<key>Enabled</key>
				<true/>
				<key>Find</key>
				<data>uYsAAAAPMg==</data>
				<key>Identifier</key>
				<string>kernel</string>
				<key>Limit</key>
				<integer>0</integer>
				<key>Mask</key>
				<data></data>
				<key>MaxKernel</key>
				<string>20.99.99</string>
				<key>MinKernel</key>
				<string>17.0.0</string>
				<key>Replace</key>
				<data>uroAAABmkA==</data>
				<key>ReplaceMask</key>
				<data></data>
				<key>Skip</key>
				<integer>0</integer>
			</dict>
			<dict>
				<key>Base</key>
				<string></string>
				<key>Comment</key>
				<string>algrey - cpuid_set_generic_info - set flag=1</string>
				<key>Count</key>
				<integer>1</integer>
				<key>Enabled</key>
				<true/>
				<key>Find</key>
				<data>uRcAAAAPMsHqEoDiBw==</data>
				<key>Identifier</key>
				<string>kernel</string>
				<key>Limit</key>
				<integer>0</integer>
				<key>Mask</key>
				<data></data>
				<key>MaxKernel</key>
				<string>20.99.99</string>
				<key>MinKernel</key>
				<string>17.0.0</string>
				<key>Replace</key>
				<data>sgFmDx+EAAAAAABmkA==</data>
				<key>ReplaceMask</key>
				<data></data>
				<key>Skip</key>
				<integer>0</integer>
			</dict>
			<dict>
				<key>Base</key>
				<string></string>
				<key>Comment</key>
				<string>algrey - cpuid_set_generic_info - disable check to allow leaf7</string>
				<key>Count</key>
				<integer>1</integer>
				<key>Enabled</key>
				<true/>
				<key>Find</key>
				<data>ADoPgg==</data>
				<key>Identifier</key>
				<string>kernel</string>
				<key>Limit</key>
				<integer>0</integer>
				<key>Mask</key>
				<data></data>
				<key>MaxKernel</key>
				<string>20.99.99</string>
				<key>MinKernel</key>
				<string>17.0.0</string>
				<key>Replace</key>
				<data>AAAPgg==</data>
				<key>ReplaceMask</key>
				<data></data>
				<key>Skip</key>
				<integer>0</integer>
			</dict>
			<dict>
				<key>Base</key>
				<string></string>
				<key>Comment</key>
				<string>algrey - cpuid_set_info - GenuineIntel to AuthenticAMD</string>
				<key>Count</key>
				<integer>1</integer>
				<key>Enabled</key>
				<true/>
				<key>Find</key>
				<data>R2VudWluZUludGVsAA==</data>
				<key>Identifier</key>
				<string>kernel</string>
				<key>Limit</key>
				<integer>0</integer>
				<key>Mask</key>
				<data></data>
				<key>MaxKernel</key>
				<string>20.99.99</string>
				<key>MinKernel</key>
				<string>17.0.0</string>
				<key>Replace</key>
				<data>QXV0aGVudGljQU1EAA==</data>
				<key>ReplaceMask</key>
				<data></data>
				<key>Skip</key>
				<integer>0</integer>
			</dict>
			<dict>
				<key>Base</key>
				<string></string>
				<key>Comment</key>
				<string>algrey - cpuid_set_cpufamily - force CPUFAMILY_INTEL_PENRYN</string>
				<key>Count</key>
				<integer>1</integer>
				<key>Enabled</key>
				<true/>
				<key>Find</key>
				<data>MduAPQAAAAAGdQA=</data>
				<key>Identifier</key>
				<string>kernel</string>
				<key>Limit</key>
				<integer>0</integer>
				<key>Mask</key>
				<data>/////wAAAP///wA=</data>
				<key>MaxKernel</key>
				<string>20.99.99</string>
				<key>MinKernel</key>
				<string>17.0.0</string>
				<key>Replace</key>
				<data>u7xP6njpXQAAAJA=</data>
				<key>ReplaceMask</key>
				<data></data>
				<key>Skip</key>
				<integer>0</integer>
			</dict>
			<dict>
				<key>Base</key>
				<string>_cpuid_set_info</string>
				<key>Comment</key>
				<string>algrey - cpuid_set_info - jmp to calculations and set cpuid_cores_per_package - 10.15/10.16</string>
				<key>Count</key>
				<integer>1</integer>
				<key>Enabled</key>
				<true/>
				<key>Find</key>
				<data>dXHoAAAAAEiLBQAAAABIiQUAAAAA</data>
				<key>Identifier</key>
				<string>kernel</string>
				<key>Limit</key>
				<integer>0</integer>
				<key>Mask</key>
				<data>////AAAAAP///wAAAAD///8AAAAA</data>
				<key>MaxKernel</key>
				<string>20.99.99</string>
				<key>MinKernel</key>
				<string>19.0.0</string>
				<key>Replace</key>
				<data>dE4AAAAAAJCJDQAAAADpfgAAAGaQ</data>
				<key>ReplaceMask</key>
				<data>//8AAAAAAP///wAAAAD/////////</data>
				<key>Skip</key>
				<integer>0</integer>
			</dict>
			<dict>
				<key>Base</key>
				<string>_cpuid_set_info</string>
				<key>Comment</key>
				<string>algrey - cpuid_set_info - cores and threads calculations - 10.15/10.16</string>
				<key>Count</key>
				<integer>1</integer>
				<key>Enabled</key>
				<true/>
				<key>Find</key>
				<data>uTUAAAAPMkjB4iCJwUgJ0bkBAAEAD0XID7fBwekQg+EP6x65NQAAAA8ySMHiIInBSAnRuQEAAQAPRcgPt8HB6RA=</data>
				<key>Identifier</key>
				<string>kernel</string>
				<key>Limit</key>
				<integer>0</integer>
				<key>Mask</key>
				<data></data>
				<key>MaxKernel</key>
				<string>20.99.99</string>
				<key>MinKernel</key>
				<string>19.0.0</string>
				<key>Replace</key>
				<data>uAgAAIAx2zHJMdIPokGJzkUPtvZB/8a4HgAAgDHbMckx0g+iD7b3/8ZEifEx0onI9/aJwUSJ8Ol8////Dx9EAAA=</data>
				<key>ReplaceMask</key>
				<data></data>
				<key>Skip</key>
				<integer>0</integer>
			</dict>
			<dict>
				<key>Base</key>
				<string></string>
				<key>Comment</key>
				<string>algrey - cpuid_set_info - ryzen cores and logicals count - part 1 - 10.13</string>
				<key>Count</key>
				<integer>1</integer>
				<key>Enabled</key>
				<true/>
				<key>Find</key>
				<data>6xa5NQAAAA==</data>
				<key>Identifier</key>
				<string>kernel</string>
				<key>Limit</key>
				<integer>0</integer>
				<key>Mask</key>
				<data></data>
				<key>MaxKernel</key>
				<string>17.99.99</string>
				<key>MinKernel</key>
				<string>17.0.0</string>
				<key>Replace</key>
				<data>6yK5NQAAAA==</data>
				<key>ReplaceMask</key>
				<data></data>
				<key>Skip</key>
				<integer>0</integer>
			</dict>
			<dict>
				<key>Base</key>
				<string></string>
				<key>Comment</key>
				<string>algrey - cpuid_set_info - ryzen cores and logicals count - part 1 - 10.14</string>
				<key>Count</key>
				<integer>1</integer>
				<key>Enabled</key>
				<true/>
				<key>Find</key>
				<data>6zi5NQAAAA==</data>
				<key>Identifier</key>
				<string>kernel</string>
				<key>Limit</key>
				<integer>0</integer>
				<key>Mask</key>
				<data></data>
				<key>MaxKernel</key>
				<string>18.99.99</string>
				<key>MinKernel</key>
				<string>18.0.0</string>
				<key>Replace</key>
				<data>6xK5NQAAAA==</data>
				<key>ReplaceMask</key>
				<data></data>
				<key>Skip</key>
				<integer>0</integer>
			</dict>
			<dict>
				<key>Base</key>
				<string>_cpuid_set_info</string>
				<key>Comment</key>
				<string>algrey - cpuid_set_info - ryzen cores and logicals count - part 2 - 10.13/10.14</string>
				<key>Count</key>
				<integer>1</integer>
				<key>Enabled</key>
				<true/>
				<key>Find</key>
				<data>uTUAAAAPMkjB4iAAAAAAAAAAAAAAAAAAAAAAAAAAAAA=</data>
				<key>Identifier</key>
				<string>kernel</string>
				<key>Limit</key>
				<integer>0</integer>
				<key>Mask</key>
				<data>//////////////8AAAAAAAAAAAAAAAAAAAAAAAAAAAA=</data>
				<key>MaxKernel</key>
				<string>18.99.99</string>
				<key>MinKernel</key>
				<string>17.0.0</string>
				<key>Replace</key>
				<data>QYnOuB4AAIAx2zHJMdIPog+29//GRInxMdKJyPf2ZpA=</data>
				<key>ReplaceMask</key>
				<data></data>
				<key>Skip</key>
				<integer>0</integer>
			</dict>
			<dict>
				<key>Base</key>
				<string>_cpuid_set_info</string>
				<key>Comment</key>
				<string>algrey - cpuid_set_info - ryzen cores and logicals count - part 3 - 10.13</string>
				<key>Count</key>
				<integer>1</integer>
				<key>Enabled</key>
				<true/>
				<key>Find</key>
				<data>iQUAAAAAiRUAAAAAhcB1GA==</data>
				<key>Identifier</key>
				<string>kernel</string>
				<key>Limit</key>
				<integer>0</integer>
				<key>Mask</key>
				<data>//8AAAD///8AAAD//////w==</data>
				<key>MaxKernel</key>
				<string>17.99.99</string>
				<key>MinKernel</key>
				<string>17.0.0</string>
				<key>Replace</key>
				<data>Dx+EAAAAAAAPH4QAAAAAAA==</data>
				<key>ReplaceMask</key>
				<data></data>
				<key>Skip</key>
				<integer>0</integer>
			</dict>
			<dict>
				<key>Base</key>
				<string>_cpuid_set_info</string>
				<key>Comment</key>
				<string>algrey - cpuid_set_info - ryzen cores and logicals count - part 3 - 10.14</string>
				<key>Count</key>
				<integer>1</integer>
				<key>Enabled</key>
				<true/>
				<key>Find</key>
				<data>hcB0</data>
				<key>Identifier</key>
				<string>kernel</string>
				<key>Limit</key>
				<integer>0</integer>
				<key>Mask</key>
				<data></data>
				<key>MaxKernel</key>
				<string>18.99.99</string>
				<key>MinKernel</key>
				<string>18.0.0</string>
				<key>Replace</key>
				<data>ZpDr</data>
				<key>ReplaceMask</key>
				<data></data>
				<key>Skip</key>
				<integer>1</integer>
			</dict>
			<dict>
				<key>Base</key>
				<string>_cpuid_set_info</string>
				<key>Comment</key>
				<string>algrey - cpuid_set_info - ryzen cores and logicals count - part 4 - 10.13</string>
				<key>Count</key>
				<integer>1</integer>
				<key>Enabled</key>
				<true/>
				<key>Find</key>
				<data>iwUAAAAAiQAAAAAAiwU=</data>
				<key>Identifier</key>
				<string>kernel</string>
				<key>Limit</key>
				<integer>0</integer>
				<key>Mask</key>
				<data>//8AAAD//wAAAAD///8=</data>
				<key>MaxKernel</key>
				<string>17.99.99</string>
				<key>MinKernel</key>
				<string>17.0.0</string>
				<key>Replace</key>
				<data>iQAAAAAAAAAAAAAAAAA=</data>
				<key>ReplaceMask</key>
				<data>/wAAAAAAAAAAAAAAAAA=</data>
				<key>Skip</key>
				<integer>0</integer>
			</dict>
			<dict>
				<key>Base</key>
				<string>_cpuid_set_info</string>
				<key>Comment</key>
				<string>algrey - cpuid_set_info - ryzen cores and logicals count - part 4 - 10.14</string>
				<key>Count</key>
				<integer>1</integer>
				<key>Enabled</key>
				<true/>
				<key>Find</key>
				<data>SIsFAAAAAEiJBQAAAAA=</data>
				<key>Identifier</key>
				<string>kernel</string>
				<key>Limit</key>
				<integer>0</integer>
				<key>Mask</key>
				<data>////AAAA/////wAAAP8=</data>
				<key>MaxKernel</key>
				<string>18.99.99</string>
				<key>MinKernel</key>
				<string>18.0.0</string>
				<key>Replace</key>
				<data>kIkAAAAAAJAAAAAAAAA=</data>
				<key>ReplaceMask</key>
				<data>//8AAAAAAP8AAAAAAAA=</data>
				<key>Skip</key>
				<integer>0</integer>
			</dict>
			<dict>
				<key>Base</key>
				<string></string>
				<key>Comment</key>
				<string>algrey - i386_init - remove rdmsr (x3)</string>
				<key>Count</key>
				<integer>0</integer>
				<key>Enabled</key>
				<true/>
				<key>Find</key>
				<data>uZkBAAAPMkjB4iCJxkgJ1rmYAQAADzJIweIgicBICcK/WAIxBTHJRTHA</data>
				<key>Identifier</key>
				<string>kernel</string>
				<key>Limit</key>
				<integer>0</integer>
				<key>Mask</key>
				<data></data>
				<key>MaxKernel</key>
				<string>20.99.99</string>
				<key>MinKernel</key>
				<string>17.0.0</string>
				<key>Replace</key>
				<data>Zg8fhAAAAAAAZg8fhAAAAAAAZg8fhAAAAAAAZg8fhAAAAAAAZg8fRAAA</data>
				<key>ReplaceMask</key>
				<data></data>
				<key>Skip</key>
				<integer>0</integer>
			</dict>
			<dict>
				<key>Base</key>
				<string></string>
				<key>Comment</key>
				<string>algrey - tsc_init - remove Penryn check to execute default case 10.14</string>
				<key>Count</key>
				<integer>1</integer>
				<key>Enabled</key>
				<true/>
				<key>Find</key>
				<data>gfm8T+p4D4TFAQAA</data>
				<key>Identifier</key>
				<string>kernel</string>
				<key>Limit</key>
				<integer>0</integer>
				<key>Mask</key>
				<data></data>
				<key>MaxKernel</key>
				<string>18.99.99</string>
				<key>MinKernel</key>
				<string>18.0.0</string>
				<key>Replace</key>
				<data>ZmZmDx+EAAAAAACQ</data>
				<key>ReplaceMask</key>
				<data></data>
				<key>Skip</key>
				<integer>0</integer>
			</dict>
			<dict>
				<key>Base</key>
				<string></string>
				<key>Comment</key>
				<string>algrey - tsc_init - remove Penryn check to execute default case</string>
				<key>Count</key>
				<integer>1</integer>
				<key>Enabled</key>
				<true/>
				<key>Find</key>
				<data>PbxP6ngPhAABAAA=</data>
				<key>Identifier</key>
				<string>kernel</string>
				<key>Limit</key>
				<integer>0</integer>
				<key>Mask</key>
				<data>/////////wD///8=</data>
				<key>MaxKernel</key>
				<string>20.99.99</string>
				<key>MinKernel</key>
				<string>17.0.0</string>
				<key>Replace</key>
				<data>ZmZmDx+EAAAAAAA=</data>
				<key>ReplaceMask</key>
				<data></data>
				<key>Skip</key>
				<integer>0</integer>
			</dict>
			<dict>
				<key>Base</key>
				<string></string>
				<key>Comment</key>
				<string>algrey - tsc_init - grab DID and VID from MSR</string>
				<key>Count</key>
				<integer>1</integer>
				<key>Enabled</key>
				<true/>
				<key>Find</key>
				<data>uZQBAAAPMonDuc4AAAAPMg+2zokNAAAAAA+2xIkFAAAAAA==</data>
				<key>Identifier</key>
				<string>kernel</string>
				<key>Limit</key>
				<integer>0</integer>
				<key>Mask</key>
				<data>////////////////////////////AAAA////////AAAA/w==</data>
				<key>MaxKernel</key>
				<string>20.99.99</string>
				<key>MinKernel</key>
				<string>17.0.0</string>
				<key>Replace</key>
				<data>uWQAAcAPMg+2yInGwe4Ig+Y/RTH/MdJIichI9/ZIAcBmkA==</data>
				<key>ReplaceMask</key>
				<data></data>
				<key>Skip</key>
				<integer>0</integer>
			</dict>
			<dict>
				<key>Base</key>
				<string>_tsc_init</string>
				<key>Comment</key>
				<string>algrey - tsc_init - skip msr_flex_ratio test and go grab FSBFrequency from EFI</string>
				<key>Count</key>
				<integer>1</integer>
				<key>Enabled</key>
				<true/>
				<key>Find</key>
				<data>98MAAAEAdA==</data>
				<key>Identifier</key>
				<string>kernel</string>
				<key>Limit</key>
				<integer>0</integer>
				<key>Mask</key>
				<data></data>
				<key>MaxKernel</key>
				<string>20.99.99</string>
				<key>MinKernel</key>
				<string>17.0.0</string>
				<key>Replace</key>
				<data>Zg8fRAAA6w==</data>
				<key>ReplaceMask</key>
				<data></data>
				<key>Skip</key>
				<integer>0</integer>
			</dict>
			<dict>
				<key>Base</key>
				<string></string>
				<key>Comment</key>
				<string>algrey - lapic_init - remove version check and panic - 10.15</string>
				<key>Count</key>
				<integer>1</integer>
				<key>Enabled</key>
				<true/>
				<key>Find</key>
				<data>g/gTdl4=</data>
				<key>Identifier</key>
				<string>kernel</string>
				<key>Limit</key>
				<integer>0</integer>
				<key>Mask</key>
				<data></data>
				<key>MaxKernel</key>
				<string>19.99.99</string>
				<key>MinKernel</key>
				<string>19.0.0</string>
				<key>Replace</key>
				<data>Dx9EAAA=</data>
				<key>ReplaceMask</key>
				<data></data>
				<key>Skip</key>
				<integer>0</integer>
			</dict>
			<dict>
				<key>Base</key>
				<string></string>
				<key>Comment</key>
				<string>NoOne - lapic_init - remove version check and panic - 10.16</string>
				<key>Count</key>
				<integer>1</integer>
				<key>Enabled</key>
				<true/>
				<key>Find</key>
				<data>g/gTD4aBAAAA</data>
				<key>Identifier</key>
				<string>kernel</string>
				<key>Limit</key>
				<integer>0</integer>
				<key>Mask</key>
				<data></data>
				<key>MaxKernel</key>
				<string>20.99.99</string>
				<key>MinKernel</key>
				<string>20.0.0</string>
				<key>Replace</key>
				<data>kJCQkJCQkJCQ</data>
				<key>ReplaceMask</key>
				<data></data>
				<key>Skip</key>
				<integer>0</integer>
			</dict>
			<dict>
				<key>Base</key>
				<string></string>
				<key>Comment</key>
				<string>algrey - lapic_init - remove version check and panic - 10.13/10.14</string>
				<key>Count</key>
				<integer>1</integer>
				<key>Enabled</key>
				<true/>
				<key>Find</key>
				<data>JfwAAACD+BM=</data>
				<key>Identifier</key>
				<string>kernel</string>
				<key>Limit</key>
				<integer>0</integer>
				<key>Mask</key>
				<data></data>
				<key>MaxKernel</key>
				<string>18.99.99</string>
				<key>MinKernel</key>
				<string>17.0.0</string>
				<key>Replace</key>
				<data>JfAAAADrI5A=</data>
				<key>ReplaceMask</key>
				<data></data>
				<key>Skip</key>
				<integer>0</integer>
			</dict>
			<dict>
				<key>Base</key>
				<string></string>
				<key>Comment</key>
				<string>algrey - lapic_interrupt - skip checks and prevent panic - 10.15/10.16</string>
				<key>Count</key>
				<integer>1</integer>
				<key>Enabled</key>
				<true/>
				<key>Find</key>
				<data>gz0AAAAAAHQO</data>
				<key>Identifier</key>
				<string>kernel</string>
				<key>Limit</key>
				<integer>0</integer>
				<key>Mask</key>
				<data>//8AAAD/////</data>
				<key>MaxKernel</key>
				<string>20.99.99</string>
				<key>MinKernel</key>
				<string>19.0.0</string>
				<key>Replace</key>
				<data>6zkPH4AAAAAA</data>
				<key>ReplaceMask</key>
				<data></data>
				<key>Skip</key>
				<integer>0</integer>
			</dict>
			<dict>
				<key>Base</key>
				<string>_lapic_interrupt</string>
				<key>Comment</key>
				<string>algrey - lapic_interrupt - skip checks and prevent panic - 10.13/10.14</string>
				<key>Count</key>
				<integer>1</integer>
				<key>Enabled</key>
				<true/>
				<key>Find</key>
				<data>gz0AAAAAAHQK</data>
				<key>Identifier</key>
				<string>kernel</string>
				<key>Limit</key>
				<integer>250</integer>
				<key>Mask</key>
				<data>//8AAAD/////</data>
				<key>MaxKernel</key>
				<string>18.99.99</string>
				<key>MinKernel</key>
				<string>17.0.0</string>
				<key>Replace</key>
				<data>60gPH4AAAAAA</data>
				<key>ReplaceMask</key>
				<data></data>
				<key>Skip</key>
				<integer>0</integer>
			</dict>
			<dict>
				<key>Base</key>
				<string></string>
				<key>Comment</key>
				<string>algrey - mtrr_update_action - fix PAT</string>
				<key>Count</key>
				<integer>0</integer>
				<key>Enabled</key>
				<true/>
				<key>Find</key>
				<data>icCB4v//AP+BygAAAQC5dwIAAA==</data>
				<key>Identifier</key>
				<string>kernel</string>
				<key>Limit</key>
				<integer>0</integer>
				<key>Mask</key>
				<data>////////D////////////////w==</data>
				<key>MaxKernel</key>
				<string>20.99.99</string>
				<key>MinKernel</key>
				<string>17.0.0</string>
				<key>Replace</key>
				<data>uXcCAAC4BgEHALoGAQcADx9AAA==</data>
				<key>ReplaceMask</key>
				<data></data>
				<key>Skip</key>
				<integer>0</integer>
			</dict>
			<dict>
				<key>Base</key>
				<string></string>
				<key>Comment</key>
				<string>Shaneee - mtrr_update_action - fix PAT</string>
				<key>Count</key>
				<integer>0</integer>
				<key>Enabled</key>
				<false/>
				<key>Find</key>
				<data>icCB4v//AP+BygAAAQC5dwIAAA==</data>
				<key>Identifier</key>
				<string>kernel</string>
				<key>Limit</key>
				<integer>0</integer>
				<key>Mask</key>
				<data>////////D////////////////w==</data>
				<key>MaxKernel</key>
				<string>20.99.99</string>
				<key>MinKernel</key>
				<string>17.0.0</string>
				<key>Replace</key>
				<data>uXcCAAC4BgYGBroGBgYGDzAPCQ==</data>
				<key>ReplaceMask</key>
				<data></data>
				<key>Skip</key>
				<integer>0</integer>
			</dict>
		</array>
	</dict>
	<key>Misc</key>
	<dict>
		<key>BlessOverride</key>
		<array>
		</array>
		<key>Boot</key>
		<dict>
			<key>ConsoleAttributes</key>
			<integer>0</integer>
			<key>HibernateMode</key>
			<string>None</string>
			<key>HideAuxiliary</key>
			<false/>
			<key>PickerAttributes</key>
			<integer>1</integer>
			<key>PickerAudioAssist</key>
			<false/>
			<key>PickerMode</key>
			<string>Builtin</string>
			<key>PollAppleHotKeys</key>
			<false/>
			<key>ShowPicker</key>
			<false/>
			<key>TakeoffDelay</key>
			<integer>0</integer>
			<key>Timeout</key>
			<integer>5</integer>
		</dict>
		<key>Debug</key>
		<dict>
			<key>AppleDebug</key>
			<true/>
			<key>ApplePanic</key>
			<true/>
			<key>DisableWatchDog</key>
			<true/>
			<key>DisplayDelay</key>
			<integer>0</integer>
			<key>DisplayLevel</key>
			<integer>2147483650</integer>
			<key>SerialInit</key>
			<false/>
			<key>SysReport</key>
			<false/>
			<key>Target</key>
			<integer>0</integer>
		</dict>
		<key>Entries</key>
		<array>
			<dict>
				<key>Arguments</key>
				<string></string>
				<key>Auxiliary</key>
				<false/>
				<key>Comment</key>
				<string>Not signed for security reasons</string>
				<key>Enabled</key>
				<false/>
				<key>Name</key>
				<string>CustomOS</string>
				<key>Path</key>
				<string>PciRoot(0x0)/Pci(0x1,0x1)/Pci(0x0,0x0)/NVMe(0x1,11-22-33-44-55-66-77-88)/HD(1,GPT,00000000-0000-0000-0000-000000000000,0x800,0x64000)/\EFI\BOOT\BOOTX64.EFI</string>
			</dict>
		</array>
		<key>Security</key>
		<dict>
			<key>AllowNvramReset</key>
			<true/>
			<key>AllowSetDefault</key>
			<true/>
			<key>ApECID</key>
			<integer>0</integer>
			<key>AuthRestart</key>
			<false/>
			<key>BootProtect</key>
			<string>Bootstrap</string>
			<key>DmgLoading</key>
			<string>Signed</string>
			<key>EnablePassword</key>
			<false/>
			<key>ExposeSensitiveData</key>
			<integer>8</integer>
			<key>HaltLevel</key>
			<integer>2147483648</integer>
			<key>PasswordHash</key>
			<data></data>
			<key>PasswordSalt</key>
			<data></data>
			<key>ScanPolicy</key>
			<integer>0</integer>
			<key>SecureBootModel</key>
			<string>Default</string>
			<key>Vault</key>
			<string>Optional</string>
		</dict>
		<key>Tools</key>
		<array>
			<dict>
				<key>Name</key>
				<string>OpenShell.efi</string>
				<key>Comment</key>
				<string>OpenShell.efi</string>
				<key>Enabled</key>
				<true/>
				<key>Path</key>
				<string>OpenShell.efi</string>
				<key>Arguments</key>
				<string></string>
				<key>Auxiliary</key>
				<true/>
			</dict>
		</array>
	</dict>
	<key>NVRAM</key>
	<dict>
		<key>Add</key>
		<dict>
			<key>4D1EDE05-38C7-4A6A-9CC6-4BCCA8B38C14</key>
			<dict>
				<key>DefaultBackgroundColor</key>
				<data>AAAAAA==</data>
				<key>UIScale</key>
				<data>AQ==</data>
			</dict>
			<key>4D1FDA02-38C7-4A6A-9CC6-4BCCA8B30102</key>
			<dict>
				<key>rtc-blacklist</key>
				<data></data>
			</dict>
			<key>7C436110-AB2A-4BBB-A880-FE41995C9F82</key>
			<dict>
				<key>SystemAudioVolume</key>
				<data>Rg==</data>
				<key>boot-args</key>
				<string>agdpmod=pikera alcid=13</string>
				<key>run-efi-updater</key>
				<string>No</string>
				<key>csr-active-config</key>
				<data>AAAAAA==</data>
				<key>prev-lang:kbd</key>
				<string>en-US:0</string>
			</dict>
		</dict>
		<key>Delete</key>
		<dict>
			<key>4D1EDE05-38C7-4A6A-9CC6-4BCCA8B38C14</key>
			<array>
				<string>UIScale</string>
				<string>DefaultBackgroundColor</string>
			</array>
			<key>4D1FDA02-38C7-4A6A-9CC6-4BCCA8B30102</key>
			<array>
				<string>rtc-blacklist</string>
			</array>
			<key>7C436110-AB2A-4BBB-A880-FE41995C9F82</key>
			<array>
				<string>boot-args</string>
			</array>
		</dict>
		<key>LegacyEnable</key>
		<false/>
		<key>LegacyOverwrite</key>
		<false/>
		<key>LegacySchema</key>
		<dict>
			<key>7C436110-AB2A-4BBB-A880-FE41995C9F82</key>
			<array>
				<string>EFILoginHiDPI</string>
				<string>EFIBluetoothDelay</string>
				<string>LocationServicesEnabled</string>
				<string>SystemAudioVolume</string>
				<string>SystemAudioVolumeDB</string>
				<string>SystemAudioVolumeSaved</string>
				<string>bluetoothActiveControllerInfo</string>
				<string>bluetoothInternalControllerInfo</string>
				<string>flagstate</string>
				<string>fmm-computer-name</string>
				<string>nvda_drv</string>
				<string>prev-lang:kbd</string>
			</array>
			<key>8BE4DF61-93CA-11D2-AA0D-00E098032B8C</key>
			<array>
				<string>Boot0080</string>
				<string>Boot0081</string>
				<string>Boot0082</string>
				<string>BootNext</string>
				<string>BootOrder</string>
			</array>
		</dict>
		<key>WriteFlash</key>
		<true/>
	</dict>
	<key>PlatformInfo</key>
	<dict>
		<key>Automatic</key>
		<true/>
		<key>CustomMemory</key>
		<false/>
		<key>Generic</key>
		<dict>
			<key>AdviseWindows</key>
			<false/>
			<key>SystemMemoryStatus</key>
			<string>Auto</string>
			<key>MLB</key>
			<string>Generate new one</string>
			<key>ProcessorType</key>
			<integer>0</integer>
			<key>ROM</key>
			<data>ESIzRFVm</data>
			<key>SpoofVendor</key>
			<true/>
			<key>SystemProductName</key>
			<string>iMacPro1,1</string>
			<key>SystemSerialNumber</key>
			<string>Generate new one</string>
			<key>SystemUUID</key>
			<string>Generate new one</string>
		</dict>
		<key>UpdateDataHub</key>
		<true/>
		<key>UpdateNVRAM</key>
		<true/>
		<key>UpdateSMBIOS</key>
		<true/>
		<key>UpdateSMBIOSMode</key>
		<string>Create</string>
	</dict>
	<key>UEFI</key>
	<dict>
		<key>APFS</key>
		<dict>
			<key>EnableJumpstart</key>
			<true/>
			<key>GlobalConnect</key>
			<false/>
			<key>HideVerbose</key>
			<true/>
			<key>JumpstartHotPlug</key>
			<false/>
			<key>MinDate</key>
			<integer>0</integer>
			<key>MinVersion</key>
			<integer>0</integer>
		</dict>
		<key>Audio</key>
		<dict>
			<key>AudioCodec</key>
			<integer>0</integer>
			<key>AudioDevice</key>
			<string>PciRoot(0x0)/Pci(0x1b,0x0)</string>
			<key>AudioOut</key>
			<integer>0</integer>
			<key>AudioSupport</key>
			<false/>
			<key>MinimumVolume</key>
			<integer>20</integer>
			<key>PlayChime</key>
			<false/>
			<key>VolumeAmplifier</key>
			<integer>0</integer>
		</dict>
		<key>ConnectDrivers</key>
		<true/>
		<key>Drivers</key>
		<array>
			<string>HfsPlus.efi</string>
			<string>OpenRuntime.efi</string>
			<string>NTFS.efi</string>
		</array>
		<key>Input</key>
		<dict>
			<key>KeyFiltering</key>
			<false/>
			<key>KeyForgetThreshold</key>
			<integer>5</integer>
			<key>KeyMergeThreshold</key>
			<integer>2</integer>
			<key>KeySupport</key>
			<true/>
			<key>KeySupportMode</key>
			<string>Auto</string>
			<key>KeySwap</key>
			<false/>
			<key>PointerSupport</key>
			<false/>
			<key>PointerSupportMode</key>
			<string>ASUS</string>
			<key>TimerResolution</key>
			<integer>50000</integer>
		</dict>
		<key>Output</key>
		<dict>
			<key>ClearScreenOnModeSwitch</key>
			<false/>
			<key>ConsoleMode</key>
			<string></string>
			<key>DirectGopRendering</key>
			<false/>
			<key>ForceResolution</key>
			<false/>
			<key>IgnoreTextInGraphics</key>
			<false/>
			<key>ProvideConsoleGop</key>
			<true/>
			<key>ReconnectOnResChange</key>
			<false/>
			<key>ReplaceTabWithSpace</key>
			<false/>
			<key>Resolution</key>
			<string>Max</string>
			<key>SanitiseClearScreen</key>
			<false/>
			<key>TextRenderer</key>
			<string>BuiltinGraphics</string>
			<key>UgaPassThrough</key>
			<false/>
		</dict>
		<key>ProtocolOverrides</key>
		<dict>
			<key>AppleAudio</key>
			<false/>
			<key>AppleBootPolicy</key>
			<false/>
			<key>AppleDebugLog</key>
			<false/>
			<key>AppleEvent</key>
			<false/>
			<key>AppleFramebufferInfo</key>
			<false/>
			<key>AppleImageConversion</key>
			<false/>
			<key>AppleImg4Verification</key>
			<false/>
			<key>AppleKeyMap</key>
			<false/>
			<key>AppleRtcRam</key>
			<false/>
			<key>AppleSecureBoot</key>
			<false/>
			<key>AppleSmcIo</key>
			<false/>
			<key>AppleUserInterfaceTheme</key>
			<false/>
			<key>DataHub</key>
			<false/>
			<key>DeviceProperties</key>
			<false/>
			<key>FirmwareVolume</key>
			<false/>
			<key>HashServices</key>
			<false/>
			<key>OSInfo</key>
			<false/>
			<key>UnicodeCollation</key>
			<false/>
		</dict>
		<key>Quirks</key>
		<dict>
			<key>DeduplicateBootOrder</key>
			<true/>
			<key>ExitBootServicesDelay</key>
			<integer>0</integer>
			<key>IgnoreInvalidFlexRatio</key>
			<false/>
			<key>ReleaseUsbOwnership</key>
			<false/>
			<key>RequestBootVarRouting</key>
			<true/>
			<key>TscSyncTimeout</key>
			<integer>0</integer>
			<key>UnblockFsConnect</key>
			<false/>
		</dict>
		<key>ReservedMemory</key>
		<array>
			<dict>
				<key>Address</key>
				<integer>268435456</integer>
				<key>Type</key>
				<string>Reserved</string>
				<key>Comment</key>
				<string>HD3000: IGPU memory corruption errata</string>
				<key>Enabled</key>
				<false/>
				<key>Size</key>
				<integer>268435456</integer>
			</dict>
			<dict>
				<key>Address</key>
				<integer>569344</integer>
				<key>Type</key>
				<string>RuntimeCode</string>
				<key>Comment</key>
				<string>Fix black screen on wake from hibernation for Lenovo Thinkpad T490</string>
				<key>Enabled</key>
				<false/>
				<key>Size</key>
				<integer>4096</integer>
			</dict>
		</array>
	</dict>
</dict>
</plist>
